org.eclipse.viatra.query.tooling.generator.model.generatorModel

## Interface GeneratorModelFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    GeneratorModelFactoryImpl

      public interface GeneratorModelFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `GeneratorModelPackage`
  Generated:

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `Property` | `create` Returns a new object of class 'Property'.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GeneratorModelFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `createConfiguration()` Returns a new object of class 'Configuration'.
    `GeneratorModelReference` | `createGeneratorModelReference()` Returns a new object of class 'Reference'.
    `Property` | `createProperty()` Returns a new object of class 'Property'.
    `ViatraQueryGeneratorModel` | `createViatraQueryGeneratorModel()` Returns a new object of class 'Viatra Query Generator Model'.
    `GeneratorModelPackage` | `getGeneratorModelPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Property Detail

    - #### create

          Property createProperty

      Returns a new object of class 'Property'.

  - ### Field Detail

    - #### eINSTANCE

          static final GeneratorModelFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createViatraQueryGeneratorModel

          ViatraQueryGeneratorModel createViatraQueryGeneratorModel()

      Returns a new object of class 'Viatra Query Generator Model'.
      Returns:
        a new object of class 'Viatra Query Generator Model'.
      Generated:

    - #### createGeneratorModelReference

          GeneratorModelReference createGeneratorModelReference()

      Returns a new object of class 'Reference'.
      Returns:
        a new object of class 'Reference'.
      Generated:

    - #### createConfiguration

          Configuration createConfiguration()

      Returns a new object of class 'Configuration'.
      Returns:
        a new object of class 'Configuration'.
      Generated:

    - #### createProperty

          Property createProperty()

      Returns a new object of class 'Property'.

    - #### getGeneratorModelPackage

          GeneratorModelPackage getGeneratorModelPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: